-- name: [CS] Collector
-- description: A Template for Character Select to build off of when making your own pack!\#ff7777\This Pack requires Character Select to use as a Library!
--[[API Documentation for Character Select can be found below: https://github.com/Squishy6094/character-select-coop/wiki/API-Documentation, Use this if you're curious on how anything here works, code generated by tool Soniceurs]]

--- MODEL ---
local E_MODEL_COLLECTOR = smlua_model_util_get_id("collector_geo")

--- ICON ---
local TEX_ICON_COLLECTOR = get_texture_info("collector-icon")

--- VOICE ---
local CUSTOM_VOICETABLE_COLLECTOR = {
    [CHAR_SOUND_ATTACKED] = "collectordamaged.ogg",
	[CHAR_SOUND_COUGHING1] = "cough1.ogg",
    [CHAR_SOUND_COUGHING2] = "cough2.ogg",
    [CHAR_SOUND_COUGHING3] = "cough3.ogg",
    [CHAR_SOUND_DOH] = "collectordoh.ogg",
    [CHAR_SOUND_DROWNING] = "collectordrown.ogg",
	[CHAR_SOUND_DYING] = "death.ogg",
	[CHAR_SOUND_EEUH] = "collectorledge.ogg",
    [CHAR_SOUND_ON_FIRE] = "collectoronfire.ogg",
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = { "collectorwaha.ogg", "collectorhaha.ogg", "jumphoo.ogg", "jumpwah.ogg", "yahoo.ogg", "jumphoo.ogg" },
    [CHAR_SOUND_PUNCH_HOO] = "collectorpunch1.ogg",
    [CHAR_SOUND_PUNCH_WAH] = "collectorpunch2.ogg",
    [CHAR_SOUND_YAH_WAH_HOO] = { "jumpyah.ogg", "jumphoo.ogg", "jumpwah.ogg"},
    [CHAR_SOUND_PUNCH_YAH] = "collectorpunch3.ogg",
    [CHAR_SOUND_GROUND_POUND_WAH] = "collectorgroundpound.ogg",
    [CHAR_SOUND_SO_LONGA_BOWSER] = "bowserthrow.ogg",
    [CHAR_SOUND_MAMA_MIA] = "collectormamamia.ogg",
	[CHAR_SOUND_LETS_A_GO] = "collectorletsago.ogg",
    [CHAR_SOUND_HAHA] = "collectorhaha.ogg",
    [CHAR_SOUND_HAHA_2] = "collectorhaha.ogg",
    [CHAR_SOUND_WHOA] = "collectorclimbledge.ogg",
    [CHAR_SOUND_YAHOO] = "yahoo.ogg",
    [CHAR_SOUND_HERE_WE_GO] = "starget.ogg",
    [CHAR_SOUND_YAWNING] = "yawn.ogg",
    [CHAR_SOUND_OOOF] = "oof1.ogg",
    [CHAR_SOUND_OOOF2] = "oof2.ogg",
    [CHAR_SOUND_WAAAOOOW] = "falling.ogg",
    [CHAR_SOUND_WAH2] = "jumpwah.ogg",
    [CHAR_SOUND_OKEY_DOKEY] = "okiedokie.ogg",
    [CHAR_SOUND_TWIRL_BOUNCE] = "twirlbounce.ogg",
    [CHAR_SOUND_HOOHOO] = "collectorwoohoo.ogg"
}

--- CHARACTER ---
 
if _G.charSelectExists then

    CT_COLLECTOR = _G.charSelect.character_add("Collector", {"Whatcha playin?", " "}, "TheEnderDwonk", {r = 96, g = 96, b = 96}, E_MODEL_COLLECTOR, CT_MARIO, TEX_ICON_COLLECTOR)
    _G.charSelect.character_add_voice(E_MODEL_COLLECTOR, CUSTOM_VOICETABLE_COLLECTOR)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == CUSTOM_VOICETABLE_COLLECTOR then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == CUSTOM_VOICETABLE_COLLECTOR then return _G.charSelect.voice.snore(m) end
    end)

end
